/*----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        03.11.2007
 Description:    Webserver Config-File

 Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der 
 GNU General Public License, wie von der Free Software Foundation verffentlicht, 
 weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder 
 (nach Ihrer Option) jeder spteren Version. 

 Die Verffentlichung dieses Programms erfolgt in der Hoffnung, 
 da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, 
 sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT 
 FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License. 

 Sie sollten eine Kopie der GNU General Public License zusammen mit diesem 
 Programm erhalten haben. 
 Falls nicht, schreiben Sie an die Free Software Foundation, 
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
------------------------------------------------------------------------------*/

#ifndef _CONFIG_H_
	#define _CONFIG_H_	
	
	//ETH_M32_EX (www.ulrichradig.de)
	#define USE_ENC28J60	1
	
	
	//Atmega 32 (=0) oder 644P (=1)
	#define Atmega644P		1
	
	
	//Konfiguration der PORTS (HEX)
	//1=OUTPUT / 0=INPUT
	//#define OUTA 		0x07 //00000111 PA1/1/2 Output
	#define OUTC 		0x06 //00000110 PC1 & PC2 OUPUT
	#define OUTD 		0x00 //INPUT complete
	//Achtung!!!! an PORTB ist der ENC
	//nur ndern wenn man wei was man macht!

    //Watchdog timer for the ENC2860, resets the stack if timeout occurs
    #define WTT 1200 //Watchdog timer in timer interrupt

    //NTP refresh before stack timeout occurs...
    //#define NTP_REFRESH 1140

	//Umrechnung von IP zu unsigned long
	#define IP(a,b,c,d) ((unsigned long)(d)<<24)+((unsigned long)(c)<<16)+((unsigned long)(b)<<8)+a

	//IP des Webservers und des Routers
	#define MYIP		IP(192,168,178,99)
    #define ROUTER_IP	IP(192,168,178,1)

	//Netzwerkmaske
	#define NETMASK		IP(255,255,255,0)
	
	
	//MAC Adresse des Webservers	
	#define MYMAC1	0x00
	#define MYMAC2	0x22
	#define MYMAC3	0xf9
	#define MYMAC4	0x01	
	#define MYMAC5	0xc1
	#define MYMAC6	0x38
	
	//Taktfrequenz
	//#define F_CPU 20000000UL
    #define F_CPU 16000000UL	
	//#define F_CPU 12000000UL	
	//#define F_CPU 14745600UL
	//#define F_CPU 11059200UL
	
	//Timertakt intern oder extern
	#define EXTCLOCK 0 //0=Intern 1=Externer Uhrenquarz
	/*
	Externer Uhrenquarz an TOSC1-Pin (=PC6); aktuell nein!
	*/

	//Baudrate der seriellen Schnittstelle
	#define BAUDRATE 9600

	//AD-Wandler benutzen?
	#define Sensor			1
	
	//Sensormodus? 0 == kurz; 1 == lang
	#define MODUS		0

	//Webserver mit Passwort? (0 == mit Passwort)
	#define HTTP_AUTH_DEFAULT	1
	
	//AUTH String "USERNAME:PASSWORT" max 14Zeichen 
	//fr Username:Passwort
	#define HTTP_AUTH_STRING "admin:uli1"
    //#define HTTP_AUTH_STRING "user:pass"
	    
    //Commandos und Ausgaben erfolgen ber Telnet
    #define CMD_TELNET      1
    
#endif //_CONFIG_H


